/*
** Module   : RemoteResource.java
** Abstract : Defines a remote resource. 
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20130611 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Used as a marker for remote resources. Resources are marked as remote when they are received
 * after remote procedure/function call, via an OUTPUT/INPUT-OUTPUT parameter or a returned value.
 * <p>
 * These resources have no meaning on the requester side. This is not the same as 
 * {@link ProxyProcedureWrapper proxy procedures}, which the requester side receives after
 * RUN PERSISTENT ... ON SERVER calls.
 */
public interface RemoteResource
extends WrappedResource
{
   /**
    * Get the ID of this remote resource.
    * 
    * @return   See above.
    */
   public String getResourceId();
}
